TYPO3.Party - Task # 29510

Status: On Hold Priority: Should have
Author: Regine Rosewich Category:

Created: 2011-09-06 Assigned To:

Updated: 2014-04-24 Due date:

Subiject: Extend Party-Network with classes for 'Organization’, 'PostalAddress', 'PhoneNumber’
Description

Extend Party-Network with classes for 'Organization’, 'PostalAddress’, 'PhoneNumber’ in Ordner to be able to fully qualifiy a Person
and/or an Organization according to OASIS/ebXML Registry Information Model v2.0.

History

#1 - 2011-09-07 20:58 - Karsten Dambekalns
- Status changed from New to Accepted

- Assigned To changed from Robert Lemke to Regine Rosewich

#2 - 2011-09-07 21:18 - Mr. Hudson

Patch set 2 of change 19¢75f0551092fcfd2c4a0c9fc0eedf98dda1f36f has been pushed to the review server.
It is available at http://review.typo3.0rg/4828

#3 - 2011-09-07 21:23 - Karsten Dambekalns

- Status changed from Accepted to Under Review

#4 - 2011-09-09 10:18 - Karsten Dambekalns

- Target version changed from 1.0 beta 2 to 1.0.0
#5 - 2011-09-19 13:23 - Karsten Dambekalns

- Status changed from Under Review to On Hold
- Assigned To deleted (Regine Rosewich)

- Target version deleted (1.0.0)

#6 - 2011-09-22 14:00 - Adrian Foder

Hi,

this project made me curious while browsing; what is the current state? The facts that e.g. this Task was changed to "on Hold" and the only assignee
was deleted is a bit confusing...

Thanks and best,

-adrian

#7 - 2011-09-28 15:13 - Adrian Foder
- File PartyModel.png added

| felt free to transfer the information | extracted out of the Model classes into a UModel chart; feel free to make suggestions or corrections.
I would really like to see the project ongoing.
http://review.typo3.org/4828

#8 - 2011-09-29 08:47 - Adrian Foder
- File PartyModelRev02.png added

stupid me, made a mistake.

#9 - 2013-03-01 15:15 - Adrian Foder

just as a note here, this is the current complete Specification:

http://docs.oasis-open.org/cig/v3.0/specs/cig-specs-v3.html

This is the "technical overview", which exclusively contains UML diagrams (which might be most interesting to us):

http://docs.oasis-open.org/cig/v3.0/supp/cig-technical-overview-v3.html

Deeply digging, here is a concrete description of the Address, for example:

http://docs.oasis-open.org/ciq/v3.0/prd03/xsd/default/doc/xAL/XAL.html

#10 - 2014-04-24 09:44 - Adrian Foder

you can find some examples here which, in my opinion, present a good introduction of the weirdness of that whole thing,

http://docs.oasis-open.org/ciq/v3.0/prd03/examples/examples/xNL/
